public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cycler/
Date: Tue, 16 Feb 2016 10:19:24 +0000 (UTC)	[thread overview]
Message-ID: <1455617960.e2b69b9548199d875b3fbac101f5b6dbaf34c031.jlec@gentoo> (raw)

commit:     e2b69b9548199d875b3fbac101f5b6dbaf34c031
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 16 10:19:13 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Feb 16 10:19:20 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2b69b95

dev-python/cycler: Version Bump

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/cycler/Manifest             |  1 +
 dev-python/cycler/cycler-0.10.0.ebuild | 37 ++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/cycler/Manifest b/dev-python/cycler/Manifest
index 6b92f82..1613634 100644
--- a/dev-python/cycler/Manifest
+++ b/dev-python/cycler/Manifest
@@ -1 +1,2 @@
+DIST cycler-0.10.0.tar.gz 16553 SHA256 cd7b2d1018258d7247a71425e9f26463dfb444d411c39569972f4ce586b0c9d8 SHA512 b7d2ba19861ffaf4dea0444bfe68b5a6264a022d7b3f02c9ff5e5859e3901de12a90f8dc7469e995e09c418515b3df55dbf05a0cfe5368d40790a2c878a74819 WHIRLPOOL 59c42f5b1d3fcf917cd19d8a9365614f07257d74135d8ee7dc231599bc600d1cf9e0c9a6e822c8aa1a932a31603e2a044b61143d648138e7e549d46a2f1b58f6
 DIST cycler-0.9.0.tar.gz 3472 SHA256 96dc4ddf27ef62c09990c6196ac1167685e89168042ec0ae4db586de023355bc SHA512 fc48d432eeeff4eb2f148cc3a07ac6affb422481d4d1405fbcb505442d64929ce1cfcbf4cac7e64ce3192b24991dadee591cd01ae8a6118e45d11d316064e6cb WHIRLPOOL 46cba5b7fe4a634ed1e847df90038da4fdeb0ce55ecc811a6adcb71f999417c862c79ff6499984c8bb6403e84f382984ffed6008fdd1b1807491adccc4d5499e

diff --git a/dev-python/cycler/cycler-0.10.0.ebuild b/dev-python/cycler/cycler-0.10.0.ebuild
new file mode 100644
index 0000000..0e19cb1
--- /dev/null
+++ b/dev-python/cycler/cycler-0.10.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+MY_PN="Cycler"
+
+DESCRIPTION="Composable style cycles"
+HOMEPAGE="
+	http://matplotlib.org/cycler/
+	https://pypi.python.org/pypi/Cycler/
+	http://github.com/matplotlib/cycler"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+# Not shipped
+# https://github.com/matplotlib/cycler/issues/21
+RESTRICT=test
+
+python_test() {
+	nosetests --verbosity=3 || die
+}


             reply	other threads:[~2016-02-16 10:19 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-16 10:19 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-20 17:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/cycler/ Michał Górny
2024-05-17 14:31 Michał Górny
2024-05-17 14:31 Michał Górny
2023-11-02  5:19 Michał Górny
2023-11-01 19:03 Arthur Zamarin
2023-10-08 17:48 Michał Górny
2023-09-29  4:50 Michał Górny
2023-05-26 20:26 Arthur Zamarin
2023-02-19 19:46 Michał Górny
2023-02-19 19:46 Michał Górny
2022-06-26 17:53 Michał Górny
2022-06-26 17:24 Arthur Zamarin
2022-05-25 18:01 Arthur Zamarin
2022-05-25 18:01 Arthur Zamarin
2022-01-30 22:23 James Le Cuirot
2021-12-02 20:14 Michał Górny
2021-12-02 19:58 Sam James
2021-12-02 19:58 Sam James
2021-12-02 19:52 Sam James
2021-12-02 19:52 Sam James
2021-12-02 13:33 Arthur Zamarin
2021-12-02 11:02 Agostino Sarubbo
2021-12-02  8:54 Jakov Smolić
2021-10-29  9:16 Michał Górny
2021-09-07 18:34 Sam James
2021-09-06 23:56 Sam James
2021-09-06 23:54 Sam James
2021-09-06 23:49 Sam James
2021-08-17  1:42 Sam James
2021-07-28 15:58 Sergei Trofimovich
2021-06-20  1:55 Sam James
2021-05-07 11:58 Michał Górny
2020-09-18 14:36 Michał Górny
2020-06-05 16:03 Michał Górny
2020-06-05 16:03 Michał Górny
2020-05-04  6:16 Mart Raudsepp
2020-05-03 19:02 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-03-01  3:32 Andrey Grozin
2018-03-19 23:05 Sergei Trofimovich
2018-03-16 21:19 Michał Górny
2018-01-09  0:10 Mikle Kolyada
2018-01-08 22:50 Thomas Deutschmann
2017-07-14 12:12 Alexis Ballier
2017-05-03  7:37 Michał Górny
2017-03-10 11:18 Zac Medico
2015-10-21 13:41 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1455617960.e2b69b9548199d875b3fbac101f5b6dbaf34c031.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox